Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.binding.expression.support
Class FluentParserContext

    java.lang.Object
      org.springframework.binding.expression.support.FluentParserContext

All Implemented Interfaces:
  ParserContext

    public class FluentParserContext

extends java.lang.Object
implements ParserContext

Default implementation of the ParserContext interface that has a fluent API for building parser context attributes.

Author:
  Keith Donald

Constructor Summary
`FluentParserContext()` Create a new parser context, initially with all context attributes as null.

Method Summary
`FluentParserContext` | `evaluate(java.lang.Class contextType)` Configure the evaluationContextType attribute with the value provided.
`FluentParserContext` | `expectResult(java.lang.Class resultType)` Configure the expectedEvaluationResult attribute with the value provided.
`java.lang.Class` | `getEvaluationContextType()` Returns the type of context object the parsed expression will evaluate in.
`java.lang.Class` | `getExpectedEvaluationResultType()` Returns the expected type of object returned from evaluating the parsed expression.
`ExpressionVariable[]` | `getExpressionVariables()` Returns additional expression variables or aliases that can be referenced during expression evaluation.
`boolean` | `isTemplate()` Whether or not the expression being parsed is a template.
`FluentParserContext` | `template()` Sets a flag indicating the expression to parse is a template.
`FluentParserContext` | `variable(ExpressionVariable variable)` Add an expression variable that can be referenced by the expression.
`FluentParserContext` | `variables(ExpressionVariable[] variables)` Add an array of expression variables that can be referenced by the expression.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FluentParserContext

    public FluentParserContext()

  Create a new parser context, initially with all context attributes as null. Post construction, call one or more of the fluent builder methods to configure this context.

  See Also:
    `evaluate(Class)`, `expectResult(Class)`, `variable(ExpressionVariable)`, `template()`

Method Detail

### getEvaluationContextType

    public java.lang.Class getEvaluationContextType()

  Description copied from interface: `ParserContext`
  Returns the type of context object the parsed expression will evaluate in. An expression parser may use this value to install custom variable resolves for that particular type of context.

  Specified by:
    `getEvaluationContextType` in interface `ParserContext`
  Returns:
    the evaluation context type

### getExpectedEvaluationResultType

    public java.lang.Class getExpectedEvaluationResultType()

  Description copied from interface: `ParserContext`
  Returns the expected type of object returned from evaluating the parsed expression. An expression parser may use this value to coerce an raw evaluation result before it is returned.

  Specified by:
    `getExpectedEvaluationResultType` in interface `ParserContext`
  Returns:
    the expected evaluation result type

### getExpressionVariables

    public ExpressionVariable[] getExpressionVariables()

  Description copied from interface: `ParserContext`
  Returns additional expression variables or aliases that can be referenced during expression evaluation. An expression parser will register these variables for reference during evaluation.

  Specified by:
    `getExpressionVariables` in interface `ParserContext`

### isTemplate

    public boolean isTemplate()

  Description copied from interface: `ParserContext`
  Whether or not the expression being parsed is a template. A template expression consists of literal text that can be mixed with evaluatable blocks. Some examples:

                 Some literal text
           Hello #{name.firstName}!
           #{3 + 4}

  Specified by:
    `isTemplate` in interface `ParserContext`
  Returns:
    true if the expression is a template, false otherwise

### evaluate

    public FluentParserContext evaluate(java.lang.Class contextType)

  Configure the evaluationContextType attribute with the value provided.

  Parameters:
    `contextType` - the type of context object the parsed expression will evaluate in
  Returns:
    this

### expectResult

    public FluentParserContext expectResult(java.lang.Class resultType)

  Configure the expectedEvaluationResult attribute with the value provided.

  Parameters:
    `resultType` - the type of result object the parsed expression should return when evaluated
  Returns:
    this

### variable

    public FluentParserContext variable(ExpressionVariable variable)

  Add an expression variable that can be referenced by the expression.

  Parameters:
    `variable` - the expression variable
  Returns:
    this

### variables

    public FluentParserContext variables(ExpressionVariable[] variables)

  Add an array of expression variables that can be referenced by the expression.

  Parameters:
    `variables` - the expression variables
  Returns:
    this

### template

    public FluentParserContext template()

  Sets a flag indicating the expression to parse is a template.

  Returns:
    this

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD